Subject: Re: [PATCH] mpc832x_rdb: fix swapped ethernet ids

From: David Gibson <[email-masked]>
Date: Sat, 15 Nov 2008 13:26:37 +1100

On Fri, Nov 14, 2008 at 10:16:19AM -0500, Michael Barkowski wrote:
> David Gibson wrote:
>> On Thu, Nov 13, 2008 at 10:18:28AM -0500, Michael Barkowski wrote:
>>> ethernet0 (called FSL UEC0 in U-Boot) should be enet1 (UCC3/eth1), and
>>> ethernet1 should be enet0 (UCC2/eth0), to be consistent with U-Boot so
>>> that the interfaces do not swap addresses when control passes from
>>> U-Boot to the kernel.
>>
>> Um.. why is just swapping the aliases, rather than the enet labels the
>> right approach here?
>
> Kim suggested it was better to localize the port ordering as a
> property of the board rather than that of the QE, and I agreed.

And the enet0/enet1 names that appear in the labels come from the QE
documentation?

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson